Bug 1999393 - Form / YAML switch makes unnecessary network calls to save latest editor type
Summary: Form / YAML switch makes unnecessary network calls to save latest editor type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.9.0
Assignee: cvogt
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 05:57 UTC by yvakil
Modified: 2021-10-18 17:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9919 0 None None None 2021-08-31 05:57:36 UTC
Red Hat Issue Tracker ODC-6302 0 None None None 2021-08-31 05:57:01 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:11 UTC

Description yvakil 2021-08-31 05:57:01 UTC
Description of problem:
When the user opens a page with a Form / YAML switch, for example the Install Helm chart, Edit Deployment or Edit BuildConfig pages, the pages makes always a patch call to update the user preferences.

Prerequisites (if any, like setup, operators/versions):
None

Steps to Reproduce
Switch to developer perspective > Add > Helm chart
Select a helm chart (for example Dotnet) and press Install Helm Chart
Open the browser network inspector and filter for "user-settings"
Refresh the page
Actual results:
You can always the a PATCH call which stores the latest selected editor type (form or yaml)

Expected results:
No unnecessary network calls

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
4.9 with ODC-5959 - PR https://github.com/openshift/console/pull/9830

Additional info:
See review comment https://github.com/openshift/console/pull/9830#pullrequestreview-740648862

Comment 4 spathak@redhat.com 2021-09-09 10:30:48 UTC
Verified on build version: 4.9.0-0.nightly-2021-09-08-233235
Browser: Google Chrome 89

Comment 7 errata-xmlrpc 2021-10-18 17:49:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.